# vim: set ft=spec: -*- rpm-spec -*-

%def_disable static

Name: libdlna
Version: 0.2.3
Release: alt1

Summary: Reference DLNA open-source implementation for Linux
Group: System/Libraries
License: LGPL
Url: http://libdlna.geexbox.org/
Packager: Sir Rsorn <raorn@altlinux.ru>

Source: %name-%version.tar
Patch: %name-%version-%release.patch

# Automatically added by buildreq on Mon Jul 14 2008
BuildRequires: libavformat-devel

%description
libdlna aims at being the reference open-source implementation
of DLNA (Digital Living Network Alliance) standards. Its primary
goal is to provide DLNA support to uShare, an embedded DLNA &
UPnP A/V Media Server, but it will be used to build both DLNA
servers and players in the long term.

%package devel
Summary: Development libraries and header files for libdlna
Group: Development/C
Requires: %name = %version-%release

%description devel
The libdlna-devel package contains libraries and header files needed
to develop applications using libdlna.

%package devel-static
Summary: Development static library for libdlna
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
This package contains static version of libdlna library. Install
libdlna-devel-static if you want to develop applications statically linked
with libdlna.

%prep
%setup
%patch -p1

%build
# brain-damaged SMP incompatibility
%define __nprocs 1
export CFLAGS="%optflags"
./configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--includedir=%_includedir \
	%{subst_enable static}
%make_build

%install
%make_install install \
	prefix=%buildroot%_prefix \
	libdir=%buildroot%_libdir \
	includedir=%buildroot%_includedir

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc AUTHORS ChangeLog README
%_libdir/*.so.*

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Jul 14 2008 Sir Raorn <raorn@altlinux.ru> 0.2.3-alt1
- initial build for ALT Linux
